# Uses of Interface
org.pentaho.reporting.libraries.resourceloader.cache.ResourceFactoryCache

Packages that use ResourceFactoryCache
Package
Description
org.pentaho.reporting.libraries.resourceloader
org.pentaho.reporting.libraries.resourceloader.cache
org.pentaho.reporting.libraries.resourceloader.modules.cache.ehcache

## Uses of ResourceFactoryCache in org.pentaho.reporting.libraries.resourceloader

Methods in org.pentaho.reporting.libraries.resourceloader that return ResourceFactoryCache
Modifier and Type
Method
Description
`ResourceFactoryCache`
ResourceManager.`getFactoryCache()`
Methods in org.pentaho.reporting.libraries.resourceloader with parameters of type ResourceFactoryCache
Modifier and Type
Method
Description
`void`
ResourceManager.`setFactoryCache(ResourceFactoryCache factoryCache)`

## Uses of ResourceFactoryCache in org.pentaho.reporting.libraries.resourceloader.cache

Classes in org.pentaho.reporting.libraries.resourceloader.cache that implement ResourceFactoryCache
Modifier and Type
Class
Description
`class`
`NullResourceFactoryCache`
Creation-Date: 06.04.2006, 10:26:21
Methods in org.pentaho.reporting.libraries.resourceloader.cache that return ResourceFactoryCache
Modifier and Type
Method
Description
`ResourceFactoryCache`
NullCacheProvider.`createFactoryCache()`
`ResourceFactoryCache`
ResourceFactoryCacheProvider.`createFactoryCache()`

## Uses of ResourceFactoryCache in org.pentaho.reporting.libraries.resourceloader.modules.cache.ehcache

Classes in org.pentaho.reporting.libraries.resourceloader.modules.cache.ehcache that implement ResourceFactoryCache
Modifier and Type
Class
Description
`class`
`EHResourceFactoryCache`
Creation-Date: 13.04.2006, 16:30:34
Methods in org.pentaho.reporting.libraries.resourceloader.modules.cache.ehcache that return ResourceFactoryCache
Modifier and Type
Method
Description
`ResourceFactoryCache`
EHCacheProvider.`createFactoryCache()`